Subject: [PATCH 1/6] clk: make strings in parent name arrays const

From: [email-masked] (Uwe Kleine-König)
Date: Thu, 19 Mar 2015 09:48:41 +0100

Hello,

On Thu, Mar 19, 2015 at 09:42:05AM +0100, Sascha Hauer wrote:
> The clk functions and structs declare the parent_name arrays as
> 'const char **parent_names' which means the parent name strings
> are const, but the array itself is not. Use
> 'const char * const * parent_names' instead which also makes
> the array const. This allows us to put the parent_name arrays into
> the __initconst section.
> 
> Signed-off-by: Sascha Hauer <[email-masked]>
looks sensible:

Acked-by: Uwe Kleine-K?nig <[email-masked]>

It would be nice to have this for more clock types (which of course
shouldn't delay this patch).

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-K?nig            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |